opencv: cv::BaseFilter Class Reference

Public Member Functions | Public Attributes

# cv::BaseFilter Class Reference

`#include <imgproc.hpp>`

List of all members.

## Public Member Functions
| BaseFilter ()
| the default constructor
virtual void | operator() (const uchar **src, uchar *dst, int dststep, int dstcount, int width, int cn)=0
| the filtering operator. The horizontal and the vertical border interpolation is done outside of the class.
virtual void | reset ()
| resets the internal buffers, if any
virtual | ~BaseFilter ()
| the destructor
## Public Attributes
Point | anchor
Size | ksize

## Detailed Description

The Base Class for Non-Separable 2D Filters.

This is the base class for linear or non-linear 2D filters.

Several functions in OpenCV return Ptr<BaseFilter> for the specific types of filters, and those pointers can be used directly or within cv::FilterEngine.

Similar to cv::BaseColumnFilter, the class may have some context information, that should be reset using BaseFilter::reset() method before processing the new array.

## Constructor & Destructor Documentation

cv::BaseFilter::BaseFilter | ( | ) |

the default constructor

virtual cv::BaseFilter::~BaseFilter | ( | ) | `[virtual]`

the destructor

## Member Function Documentation

virtual void cv::BaseFilter::operator() | ( | const uchar ** | src,
|  | uchar * | dst,
|  | int | dststep,
|  | int | dstcount,
|  | int | width,
|  | int | cn
| ) |  | `[pure virtual]`

the filtering operator. The horizontal and the vertical border interpolation is done outside of the class.

virtual void cv::BaseFilter::reset | ( | ) | `[virtual]`

resets the internal buffers, if any

## Member Data Documentation

Point cv::BaseFilter::anchor

Size cv::BaseFilter::ksize

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/imgproc/include/opencv2/imgproc/imgproc.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines